package com.yeejoin.amos.fas.dao.entity;//package com.yeejoin.amos.fas.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQuery;
import javax.persistence.Table;


/**
 * The persistent class for the f_fmea_equipment_point database table.
 */
@Entity
@Table(name = "f_fmea_equipment_point")
@NamedQuery(name = "FmeaEquipmentPoint.findAll", query = "SELECT r FROM FmeaEquipmentPoint r")
public class FmeaEquipmentPoint extends BasicEntity {
    private static final long serialVersionUID = 1L;

    @Column(name = "equipment_point_id")
    private Long equipmentPointId;

    @Column(name = "fmea_id")
    private Long fmeaId;

    @Column(name = "state")
    private Integer state;

    @Column(name = "important_equipment_id")
    private Long importantEquipmentId;

    public Long getEquipmentPointId() {
        return equipmentPointId;
    }

    public void setEquipmentPointId(Long equipmentPointId) {
        this.equipmentPointId = equipmentPointId;
    }

    public Long getFmeaId() {
        return fmeaId;
    }

    public void setFmeaId(Long fmeaId) {
        this.fmeaId = fmeaId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Long getImportantEquipmentId() {
        return importantEquipmentId;
    }

    public void setImportantEquipmentId(Long importantEquipmentId) {
        this.importantEquipmentId = importantEquipmentId;
    }
}